package com.mamezou.remote.rmi.nativermi;

import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.mamezou.remote.Customer;

public class RmiCustomerServiceImpl implements RmiCustomerService {

    private static final long serialVersionUID = 1L;

    private Map<String, Customer> customers;

    public RmiCustomerServiceImpl() throws RemoteException {
        super();
        this.customers = new HashMap<String, Customer>();
    }

    public Customer getCustomer(String name) throws RemoteException {
        return customers.get(name);
    }

    public List<Customer> getCustomers() throws RemoteException {
        return Arrays.asList(customers.values().toArray(
                new Customer[customers.values().size()]));
    }

    public void regist(Customer newCustomer) throws RemoteException {
        customers.put(newCustomer.getName(), newCustomer);
    }

    public static void main(String[] args) throws Exception {

        RmiCustomerService obj = new RmiCustomerServiceImpl();
        RmiCustomerService stub = (RmiCustomerService) UnicastRemoteObject
                .exportObject(obj, 0);

        Registry registry = LocateRegistry.getRegistry();
        registry.bind("customerService", stub);
    }

}
