package com.mamezou.remote.rmi.spring;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.mamezou.remote.Customer;
import com.mamezou.remote.CustomerService;

public class RmiCustomerServiceClient {

    public static void main(String[] args) {
        try {
            ApplicationContext context = new ClassPathXmlApplicationContext("com/mamezou/remote/rmi/spring/rmi_client_applicationContext.xml");
            
            CustomerService service = (CustomerService) context.getBean("customerServiceClient");
            service.regist(new Customer("Taro","taro@example.com"));
            service.regist(new Customer("Jiro","jiro@example.com"));
            
            for(Customer customer : service.getCustomers()){
                System.out.println(customer);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}